﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{DC88053B-F802-47E1-9BE4-A7E9F795858D}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Engine</RootNamespace>
    <AssemblyName>Engine.Core</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Zenject">
      <HintPath>..\lib\Zenject\Zenject.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Archetypes\Archetype.cs" />
    <Compile Include="Archetypes\ArchetypeExtensions.cs" />
    <Compile Include="Archetypes\ArchetypeFactory.cs" />
    <Compile Include="Archetypes\ComponentBinding.cs" />
    <Compile Include="Archetypes\EntityFactoryException.cs" />
    <Compile Include="Commands\CommandCapability.cs" />
    <Compile Include="Commands\CommandEqualityComparer.cs" />
    <Compile Include="Commands\CommandHandler.cs" />
    <Compile Include="Commands\CommandQueue.cs" />
    <Compile Include="Commands\DeduplicateAttribute.cs" />
    <Compile Include="Commands\DeduplicationPolicy.cs" />
    <Compile Include="Commands\EndGameCommand.cs" />
    <Compile Include="Commands\HaltAndCatchFireCommand.cs" />
    <Compile Include="Commands\ICommand.cs" />
    <Compile Include="Commands\ICommandCapability.cs" />
    <Compile Include="Commands\ICommandHandler.cs" />
    <Compile Include="Commands\ICommandSystem.cs" />
    <Compile Include="Components\ComponentAttributeExtensions.cs" />
    <Compile Include="Components\ComponentDependencyAttribute.cs" />
    <Compile Include="Components\ComponentDependencyException.cs" />
    <Compile Include="Components\ComponentEntityTuple.cs" />
    <Compile Include="Components\ComponentLookupException.cs" />
    <Compile Include="Components\ComponentMatcher.cs" />
    <Compile Include="Components\ComponentMatcherGroup.cs" />
    <Compile Include="Components\MatcherProvider.cs" />
    <Compile Include="Components\Coordinate2DProperty.cs" />
    <Compile Include="Components\EntityGroup.cs" />
    <Compile Include="Components\IComponent.cs" />
    <Compile Include="Components\IComponentContainer.cs" />
    <Compile Include="Components\IMatcherProvider.cs" />
    <Compile Include="Components\IFlagComponent.cs" />
    <Compile Include="Configuration\LifeCycleConfiguration.cs" />
    <Compile Include="Configuration\Scenario.cs" />
    <Compile Include="Entities\ComponentArray.cs" />
    <Compile Include="Entities\EntityFactoryProvider.cs" />
    <Compile Include="Entities\IEntityFactoryProvider.cs" />
    <Compile Include="Evaluators\LogicalOperationEvaluator.cs" />
    <Compile Include="Evaluators\EvaluatorExtensions.cs" />
    <Compile Include="Evaluators\EvaluatorProxy.cs" />
    <Compile Include="Evaluators\IEvaluator.cs" />
    <Compile Include="Evaluators\Operation.cs" />
    <Compile Include="Evaluators\TickEvaluator.cs" />
    <Compile Include="Evaluators\TimeEvaluator.cs" />
    <Compile Include="Events\Event.cs" />
    <Compile Include="Events\EventHandler.cs" />
    <Compile Include="Events\EventSystem.cs" />
    <Compile Include="Events\IEvent.cs" />
    <Compile Include="Events\Subscriber.cs" />
    <Compile Include="Exceptions\ConfigurationException.cs" />
    <Compile Include="Exceptions\SystemException.cs" />
    <Compile Include="ITickable.cs" />
    <Compile Include="Lifecycle\EndGameState.cs" />
    <Compile Include="Lifecycle\EndGameSystem.cs" />
    <Compile Include="Lifecycle\Events\EndGameEvent.cs" />
    <Compile Include="Lifecycle\ILifecycleManager.cs" />
    <Compile Include="Lifecycle\Tick.cs" />
    <Compile Include="Planning\IIntentProcessor.cs" />
    <Compile Include="Planning\Intents.cs" />
    <Compile Include="Configuration\ECSConfiguration.cs" />
    <Compile Include="Configuration\SystemConfiguration.cs" />
    <Compile Include="ECS.cs" />
    <Compile Include="Entities\ComponentContainer.cs" />
    <Compile Include="Entities\Entity.cs" />
    <Compile Include="Entities\EntityDictionary.cs" />
    <Compile Include="Entities\EntityExtensions.cs" />
    <Compile Include="Archetypes\EntityFactory.cs" />
    <Compile Include="Entities\EntityRegistry.cs" />
    <Compile Include="Entities\EntityRegistryException.cs" />
    <Compile Include="Entities\IEntityFactory.cs" />
    <Compile Include="Entities\IEntityRegistry.cs" />
    <Compile Include="Exceptions\EngineException.cs" />
    <Compile Include="IECS.cs" />
    <Compile Include="Planning\IIntent.cs" />
    <Compile Include="Planning\IntentSystem.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Sequencing\ConditionalAction.cs" />
    <Compile Include="Sequencing\ECSAction.cs" />
    <Compile Include="Sequencing\Sequencer.cs" />
    <Compile Include="Sequencing\SequenceException.cs" />
    <Compile Include="Sequencing\SequenceFrame.cs" />
    <Compile Include="Serialization\IncludePrivateMembersContractResolver.cs" />
    <Compile Include="Serialization\ISerializable.cs" />
    <Compile Include="Serialization\StateLevel.cs" />
    <Compile Include="Serialization\SyncStateAttribute.cs" />
    <Compile Include="Commands\CommandSystem.cs" />
    <Compile Include="Systems\ISystem.cs" />
    <Compile Include="Systems\ISystemExtension.cs" />
    <Compile Include="Systems\ISystemRegistry.cs" />
    <Compile Include="Systems\SystemRegistry.cs" />
    <Compile Include="Util\AttributeHelper.cs" />
    <Compile Include="Util\DefaultValueHelper.cs" />
    <Compile Include="Util\DynamicMethodHelper.cs" />
    <Compile Include="Util\ModuleLoader.cs" />
    <Compile Include="Util\NotNullHelper.cs" />
    <Compile Include="Util\Random.cs" />
    <Compile Include="Util\RangeHelper.cs" />
    <Compile Include="Util\MutableQueue.cs" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Messaging\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Engine.Common\Engine.Common.csproj">
      <Project>{c3e9dd6e-3807-4290-a857-a4e9d47cf7e1}</Project>
      <Name>Engine.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Engine.Newtonsoft.Json\Engine.Newtonsoft.Json.csproj">
      <Project>{7f39c40c-9acd-42b1-ae6f-470a759e98ce}</Project>
      <Name>Engine.Newtonsoft.Json</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>